> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/groups/root > Get all root-level groups. ## OpenAPI ````json GET /v1/groups/root { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/groups/root": { "get": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1GroupsRootGetResponse" } } } } }, "description": "Get all root-level groups." } } }, "components": { "schemas": { "v1GroupsRootGetResponse": { "type": "object", "properties": { "groups": { "type": "array", "items": { "$ref": "#/components/schemas/iamGroup" } } }, "additionalProperties": false }, "iamGroup": { "type": "object", "properties": { "description": { "type": "string", "example": "example string" }, "enterpriseIds": { "type": "array", "items": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "enterprisePermissions": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/iamEnterprisePermissions" } }, "groupType": { "type": "string", "example": "ENUM_VALUE" }, "id": { "type": "string", "example": "example string" }, "name": { "type": "string", "example": "example string" }, "permissions": { "$ref": "#/components/schemas/commonPermissions" }, "timeWindowEnd": { "type": "integer", "format": "int64", "example": 1234567891011 }, "timeWindowStart": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "additionalProperties": false }, "iamEnterprisePermissions": { "type": "object", "properties": { "groupType": { "type": "string", "example": "ENUM_VALUE", "description": " (required)" }, "permissions": { "$ref": "#/components/schemas/commonPermissions" } }, "additionalProperties": false }, "commonPermissions": { "type": "object", "properties": { "assetManager": { "type": "string", "example": "ENUM_VALUE" }, "b2b": { "type": "string", "example": "ENUM_VALUE" }, "b2bSecurityProfileExternal": { "type": "string", "example": "ENUM_VALUE" }, "billingAndInvoicing": { "type": "string", "example": "ENUM_VALUE" }, "compliance": { "type": "string", "example": "ENUM_VALUE" }, "developerTools": { "type": "string", "example": "ENUM_VALUE" }, "gateway": { "type": "string", "example": "ENUM_VALUE" }, "globalServices": { "type": "string", "example": "ENUM_VALUE" }, "insights": { "type": "string", "example": "ENUM_VALUE" }, "licensing": { "type": "string", "example": "ENUM_VALUE" }, "logs": { "type": "string", "example": "ENUM_VALUE" }, "monitoringAndTroubleshooting": { "type": "string", "example": "ENUM_VALUE" }, "networkConfiguration": { "type": "string", "example": "ENUM_VALUE" }, "orderStatus": { "type": "string", "example": "ENUM_VALUE" }, "reports": { "type": "string", "example": "ENUM_VALUE" }, "safetyAndSecurity": { "type": "string", "example": "ENUM_VALUE" }, "servicePolicies": { "type": "string", "example": "ENUM_VALUE" }, "support": { "type": "string", "example": "ENUM_VALUE" }, "userAndTenantManagement": { "type": "string", "example": "ENUM_VALUE" } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````